2005-01-17  Jeffrey Altman <jaltman@mit.edu>

        * error_message.c: implement library unload cleanup of mutexes

2005-01-13  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c (com_err_terminate): Lock the list mutex before
	walking through it; unlock and destroy it afterwards.

2004-11-05  Ken Raeburn  <raeburn@mit.edu>

	* et_h.awk: Declare initialize_*_error_table as taking no
	arguments.
	* et_h.pl: Regenerated.

2004-10-07  Tom Yu  <tlyu@mit.edu>

	* et_c.awk, et_h.awk: Fix off-by-one error.
	* et_c.pl, et_h.pl: Regenerated.

2004-10-06  Ken Raeburn  <raeburn@mit.edu>

	* et_c.awk, et_h.awk: Complain if the error table is too large.
	* et_c.pl, et_h.pl: Regenerated.

2004-07-03  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c (remove_error_table) [!ENABLE_THREADS &&
	DEBUG_THREADS]: Update test for 'initialized' field in mutex.

2004-06-22  Ken Raeburn  <raeburn@mit.edu>

	* vfprintf.c: Don't test macintosh.

2004-06-18  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in ($(OUTPRE)test_et.exe): New target.
	(check-windows): Build and run test_et.exe.
	(SHLIB_EXPLIBS): Add $(LIBS).

	* error_message.c: Include autoconf.h.
	(HAVE_STRERROR) [_WIN32]: Don't define.
	(error_message) [_WIN32]: Check for range WSABASEERR+[0,1100)
	instead of all values under 12000.  Use k5_getspecific and
	k5_setspecific for local buffer.

	* test_et.c (EXPORT_LIST): Define on Windows.
	(main): Use add/remove_error_table, not the initialize_ routines.
	(main) [EXPORT_LIST]: Don't test error_table_name, it's not in the
	export list.

2004-06-04  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LIBBASE): Renamed from LIB.

2004-06-03  Ken Raeburn  <raeburn@mit.edu>

	* com_err.c (com_err_va): In success case, don't then fall
	through into error case.

2004-06-02  Ken Raeburn  <raeburn@mit.edu>

	* com_err.c: Include stdlib.h.
	(com_err_hook_lock): New mutex.
	(com_err_lock_hook_handle): New function.
	(com_err_va, set_com_err_hook, reset_com_err_hook): Call
	com_err_finish_init, and grab the lock.
	* error_message.c: Don't include k5-thread.h.
	(com_err_finish_init): New function.
	(com_err_initialize): Initialize the new mutex.
	* error_table.h: Include k5-thread.h.
	(com_err_hook_lock, com_err_finish_init): Declare.

2004-05-31  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c (terminated): New variable.
	(com_err_terminate): Set it.
	(remove_error_table): Check it, warn and abort if set.

2004-05-05  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c (buffer): Static variable deleted.
	(com_err_initialize): Register cleanup support for com_err
	thread-specific data key.
	(error_message): Use a per-thread dynamically-allocated buffer
	instead of static storage, for the case where an unknown error
	code is given.  If any errors occur allocating or tracking the
	buffer, return a fixed message.

	* t_com_err.c: Include stdlib.h.  If TEST_THREADS is defined,
	include pthread.h.
	(run): Renamed from main, changed signature.
	(main): New function.  Just call run, or if TEST_THREADS is
	defined, create a thread to call it.

2004-05-04  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Invoke KRB5_BUILD_PROGRAM and KRB5_RUN_FLAGS.
	* Makefile.in (PROG_RPATH, PROG_LIBPATH, RUN_SETUP): New
	variables.
	(test_et, t_com_err): Use the built library, even if shared.
	(check-unix): Set up the environment properly to load shared
	libraries when running the test programs.

	* configure.in: Enable dependency support for shared lib.
	* Makefile.in (test_et, t_com_err): Depend on, and link against,
	the new support library.
	(SHLIB_EXPDEPS, SHLIB_EXPLIBS, SHLIB_RDIRS, SHLIB_DIRS): New
	variables.

2004-04-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LIBINITFUNC, LIBFINIFUNC): New variables.

	* error_message.c (com_err_terminate): Free heap storage in
	et_list_dynamic.

2004-04-24  Ken Raeburn  <raeburn@mit.edu>

	Delete support for old globally-visible linked list, necessary
	for thread support.
	* Makefile.in (STLIBOBJS, LINTFILES, LIBOBJS, SRCS): Drop
	init_et.c.
	* error_message.c: Include k5-platform.h.
	(et_list_lock): Use new partial initializer.
	(com_err_initialize, com_err_terminate): New init/fini functions.
	(error_message, add_error_table, remove_error_table): Ensure the
	initializer ran successfully.
	* error_table.h (_et_list) [!_WIN32]: Delete declaration.

2004-04-22  Ken Raeburn  <raeburn@mit.edu>

	* libcom_err.exports: New file.

2004-03-17  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c: Include k5-thread.h.
	(_et_list): Now always static.
	(et_list_lock): New mutex.
	(error_message): Lock it while manipulating the table lists.
	(add_error_table, remove_error_table): Likewise.

2003-07-04  Kenneth Raeburn  <raeburn@mit.edu>

	* test_et.c: Conditionalize sys_nerr declaration on
	NEED_SYS_ERRLIST, not HAVE_SYS_ERRLIST.

2003-06-12  Alexandra Ellwood  <lxs@mit.edu>
    * error_table.h, et_c.awk, et_c.pl, et_h.awk, et_c.awk: Removed Mac 
    OS support because it prevents darwin builds from getting com error 
    strings via the initialize_*_error_table function

2003-04-29  Ken Raeburn  <raeburn@mit.edu>

	* test_et.c [HAVE_SYS_ERRLIST]: Do declare sys_nerr.

2003-04-23  Ken Raeburn  <raeburn@mit.edu>

	* compile_et.c: Don't declare malloc or errno.  Include stdlib.h
	and errno.h.
	* test_et.c: Don't declare errno or sys_nerr.

2003-03-06  Alexandra Ellwood  <lxs@mit.edu>
    * com_err.c, com_err.h, error_message.c, et_c.awk, et_h.awk: 
      Removed Mac OS 9-specific code.
    * et_h.awk: define compat macro for init_foo_err_table
      so that it gets defined to nothing on the Mac.

2003-01-10  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't explicitly invoke AC_PROG_INSTALL,
	AC_PROG_ARCHIVE, AC_PROG_RANLIB.

	* Makefile.in: Add AC_SUBST_FILE marker for lib_frag and libobj_frag.

2002-12-12  Tom Yu  <tlyu@mit.edu>

	* et_h.awk: It's "const struct error_table et_" in the c file, so
	it's now const here too.

2002-10-07  Sam Hartman  <hartmans@mit.edu>

	* Makefile.in (install-headers): build compile_et so it can be used later

2002-09-02  Ken Raeburn  <raeburn@mit.edu>

	* com_err.c (default_com_err_proc, com_err_va, set_com_err_hook):
	Define with prototype syntax.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-27  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in ($(COM_ERR_HDR)): Quote target of copy, since it
	will now contain forward slashes even on Windows.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-07-12  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (install): Don't install mit-sipb-copyright.h, it's
	never referenced.

2002-07-09  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c: Put # for cpp directives in first column.

2002-07-08  Tom Yu  <tlyu@mit.edu>

	* et_c.awk: Fix up <com_err.h> inclusion for windows and mac.

	* et_c.pl: Regenerate.

2002-07-03  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Fix rebuild rules et_?.perl -> et_?.pl.  Also,
	strip the "#!" line.

	* error_table.h: Fix mac conditional, due to _et_list declaration
	moving from et_c.awk

	* et_c.perl, et_h.perl: Remove.

	* et_c.pl, et_h.pl: Generate.

2002-07-03  Danilo Almeida  <dalmeida@mit.edu>

	* com_err.h: Windows should include <win-mac.h> as opposed
	to <Kerberos5/win-mac.h>
	[pullup from 1-2-2-branch]

2002-07-03  Miro Jurisic  <meeroh@mit.edu>

	* et_c.perl, et_h.perl: 
        Renamed to et_c.pl and et_h.pl because the extension is used
        as a newline separator heuristic in MacPerl parser

	* et_c.perl, et_h.perl: 
        Removed #! from the first line to avoid confusing MacPerl

	[pullups from 1-2-2-branch]

2002-07-03  Alexandra Ellwood  <lxs@mit.edu>

	* com_err.h, error_message.c, et.pbexp, et_c.awk, et_h.awk: 
        conditionalized com_err so it doesn't need to export et_list 
        on Mac OS X 
	[pullup from 1-2-2-branch]

2001-10-05  Ken Raeburn  <raeburn@mit.edu>

	* com_err.h (KRB5_EXPORTVAR): Don't define.

	* com_err.c, com_err.h, compile_et.c, error_message.c,
	error_table.h, et_c.awk, et_c.perl, et_h.awk, et_h.awk, et_h.perl,
	etN-ame.c, init_et.c, internal.h, vfprintf.c: Drop NEAR/FAR
	support and _MSDOS support.

2001-10-03  Ken Raeburn  <raeburn@mit.edu>

	* com_err.c, com_err.h, error_message.c, init_et.c: Don't use
	KRB5_DLLIMP.

2001-06-20  Ezra Peisach  <epeisach@mit.edu>

	* error_message.c (error_message): Conditional label on _sgi so
	gcc does not warn about being defined and not used.

2001-06-19  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c (error_message): Handle some Irix error codes
	ranging up above sys_nerr, and above 256.

	* test_et.c (main): Test one of the high-numbered Irix system
	error codes.

2001-03-11  Ezra Peisach  <epeisach@mit.edu>

	* com_err.h: For struct error_table, change the base from an
	unsigned to signed long (error messages and tables are signed)

2001-03-07  Ken Raeburn  <raeburn@mit.edu>

	* test_et.c (main): Only use sys_nerr tests if HAVE_SYS_ERRLIST.

2001-01-19  Ken Raeburn  <raeburn@mit.edu>

	* com_err.h (add_error_table, remove_error_table): Annotate as
	modifying internal state.
	(struct et_list, _et_list): Remove.

	* error_table.h (struct et_list, _et_list): Put back here.

	* error_message.c (add_error_table, remove_error_table): Annotate
	specific modifications.  Disable inconsistent-defifition checks
	since _et_list isn't describe in the header file but is global and
	modified.

	* et_c.awk: Make the generated initialization function simply call
	add_error_table, and drop the static linked-list node.

2001-01-17  Ken Raeburn  <raeburn@mit.edu>

	* error_message.c (add_error_table, remove_error_table): Allow
	tables to be entered and removed multiple times, keeping the count
	correct.
	* t_com_err.c (main): Update to reflect new semantics.

2001-01-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (test1.c, test2.c, et1.c, et2.c, test1.h, test2.h,
	et1.h, et2.h): All depend on compile_et and awk scripts.
	(prefix, bindir, datadir, mydatadir): New variables.
	(install-unix): Install compile_et and awk scripts, and compile_et
	man page.
	(compile_et): Pass awk script install dir as extra argument.
	(et_c.awk, et_h.awk): Delete targets for putting copies in build
	tree.
	* config_script: Take install dir as extra argument.
	* compile_et.sh: Accept "-d DIR" to override awk script
	directory.  Set "-ex" shell flags before running awk commands.

2000-12-05  Ken Raeburn  <raeburn@mit.edu>

	* et_c.awk: Don't generate macros we won't use.  Assume ANSI C
	prototypes.  Include com_err.h in output file, rather than
	duplicating declarations.

	* com_err.c: Assume ANSI C; drop conditional-prototype macros and
	varargs.h support.

	* com_err.h: Get rid of old 68k-Mac pragmas.
	(HAVE_STDARG_H, ET_P, ET_STDARG_P, ET_VARARGS): Don't define.
	(struct et_list, _et_list): Declare, with annotations.
	* error_table.h (struct et_list, _et_list): Don't declare here.

	* error_message.c (_et_list): Annotate.
	(error_message, add_error_table, remove_error_table): Check
	'table' field of et_list for null pointer.

	* t_com_err.c: Include string.h.
	(try_one): Check strcmp value against zero explicitly.
	(main): Annotate arguments as unused.  Cast add_error_table and
	remove_error_table return values to void.

	* Makefile.in (clean-unix): Clean up lclint files too.
	(clean-lclint): New target.
	(et1.c, et2.c, et1.h, et2.h, test1.c, test1.h, test2.h, test2.c):
	Show dependencies on awk scripts.
	(LCLINTOPTS): Remove +boolint, add +mod-uncon, +modinternalstrict,
	+mod-filesys, remove expected error.
	(com_err.lcd): New target; processes library through lclint and
	generates a dump file.
	(do-lclint): Now runs lclint on one of the test programs, and
	depends on (but doesn't currently use) com_err.lcd.
	(rebuild, rebuild-c, rebuild-h): New targets: Rebuild perl
	versions of awk scripts.
	(clean-files): Get more generated files from test cases.
	* et_c.perl, et_h.perl: Rebuilt.

2000-11-14  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (check-unix): Depend on, and run, t_com_err and
	test_et.
	* test_et.c (main): Return type is int; return 0 at end.  Use %ld
	format for error code values.
	(error_table_name): Declare.

2000-11-08  Ken Raeburn  <raeburn@mit.edu>

	Test out lclint and its4 on com_err library, fixing reported
	problems (including a rewrite of the memory management model).
	One lclint error left on Solaris, due to deficiencies in lclint.
	Its4 chokes in parser.
	* com_err.h (struct error_table): Annotate MSGS as pointing to
	'shared' data.
	(error_message): Returned data is 'observer' and 'dependent';
	modifies internal state.
	* com_err.c (default_com_err_proc): Cast various return values to
	void.
	(reset_com_err_hook): Use NULL, not 0.
	(com_err_hook): Annotate as 'null'.
	* error_table.h (_et_list): Annotate as 'null' and 'dependent'.
	(struct et_list): Annotate NEXT as 'dependent' and 'null', and
	TABLE as 'dependent'.
	(struct dynamic_et_list): Duplicate et_list definition, except
	NEXT is annotated as 'only' instead of 'dependent'.
	(error_table_name, error_table_name_r): Annotate for lclint.
	* et_h.awk: Add lclint annotations for initialize_* functions.
	* error_message.c (_et_list): Can be 'null'.
	(error_message): Explicitly compare against zero.  Cast strerror
	argument to int.
	(et_list_dynamic): New variable, for dynamically allocated list
	elements; _et_list is now for statically allocated elements only.
	(add_error_table, remove_error_table): Check both lists.
	* et_name.c (error_table_name, error_table_name_r): Annotate for
	lclint.
	* init_et.c (et_add_error_table): Change "link" to "e" to avoid
	confusion with C library function in analysis tools.
	* et1.et, et2.et, t_com_err.c: New files.  Exercise addition and
	removal of error tables from list, using both interfaces.
	* Makefile.in (LCLINT, LCLINTOPTS, ITS4, ITS4OPTS): New
	variables.
	(do-lclint, do-its4, et1.o, et2.o, t_com_err.o, t_com_err): New
	targets.  Not automatically invoked at present.
	(FILES): Updated.

2000-11-01  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Change AC_CONST to AC_C_CONST, AC_HEADER_EGREP to
	AC_EGREP_HEADER, AC_HAVE_HEADERS to AC_CHECK_HEADERS. Updates to
	autoconf 2 namespace.

2000-07-24  Ezra Peisach  <epeisach@mit.edu>

	* et_c.awk: Actually define NOARGS as needed. Add prototype for
	error table initiialization function.

2000-07-02  Ken Raeburn  <raeburn@mit.edu>

	* com_err.h (com_err): Undo previous change; com_err accepts a
	null pointer in place of the format string, but gcc warns about
	it.

2000-06-26  Ken Raeburn  <raeburn@mit.edu>

	* com_err.h (com_err): Declare with format attribute if using
	gcc.

2000-05-07  Miro Jurisic  <meeroh@mit.edu>

	* com_err.c (default_com_err_proc): use strncpy
	where strncpy was meant (typo in Nalin's patch)

2000-05-01  Nalin Dahyabhai  <nalin@redhat.com>

	* com_err.c (default_com_err_proc) [_MSDOS || _WIN32 ||
	macintosh]: Don't overflow buffer "errbuf".

2000-02-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (com_err.o): Depends on com_err.c.

1999-10-28  Alexandra Ellwood  <lxs@mit.edu>

	* error_message.c, error_table.h: Added support to use ErrorLib 
	to get MIT Support Library and Mac OS Toolbox error codes 
	(similar to the way windows does it).

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-08-18  Miro Jurisic  <meeroh@mit.edu>

	* et.exp: Added et.exp, MacOS export file for com_err library

1999-06-15  Danilo Almeida  <dalmeida@mit.edu>

	* texinfo.tex: Get rid of control characters in text file.

Wed May 19 11:44:31 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Add windows build rules for putting header files in
		include dir.  Do cleanup of header for windows clean.

Mon May 10 15:27:07 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

Mon Mar 15 16:01:56 1999  Tom Yu  <tlyu@mit.edu>

	* com_err.h: Fix GSS_DLLIMP.

Mon Feb  1 19:42:45 1999  Tom Yu  <tlyu@mit.edu>

	* et_c.awk: Fix to not depend on CPP symbol "unix".

	* et_h.awk: Fix to not depend on CPP symbol "unix".

1998-12-01  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* com_err.h, error_table.h, error_message.c: Use "#if
	        defined(MSDOS) || ..." instead of "#if
	        !defined(unix)", since not all Unix compilers define
		"unix".

1998-07-02  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* com_err.c (MacMessageBox): Change TextBox to TETextBox to match
		up with CodeWarrior changes.

Wed Feb 18 16:33:07 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Wed Jan 28 17:54:57 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in, Makefile.in: Remove CopySrcHeader from
		configure.in, and move functionality to Makefile.in

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Tue Oct  7 07:43:05 1997  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (SRCS): Add $(srcdir) as prefix to srcs.

Mon Jul 21 12:00:24 1997  Ezra Peisach  <epeisach@mit.edu>

	* error_message.c (error_message): Mask error code with
		ERRCODE_MASK to handle case where 32bit ints are zero
		filed in the gssapi layer.

	* error_table.h: Define ERRCODE_MAX, the maximum allowed error
		code (32bits).  

Tue Mar 18 15:07:40 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* com_err.h: Add 'extern "C"' for C++ compatibility; also check for
		__cplusplus since some C++ compilers don't set __STDC__

Mon Mar  3 14:57:35 1997  Ezra Peisach  <epeisach@mit.edu>

	* error_message.c: Don't declare sys_nerr on Macintosh.

	* com_err.c: Fix MacMessageBox prototype.

Sat Mar  1 11:54:02 1997  Sam Hartman  <hartmans@luminous.MIT.EDU>

	* com_err.h: Do not declare com_err_hook extern if you want it
 	static in the source file. [383]
	

Sat Feb 22 12:18:47 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Move list file construction to win-post.in

	* et_c.awk et_h.awk error_message.c com_err.c:
		Put back #ifdef unix, and also based it on AIX.
		We do NOT want the compatibility interface on any new
		architectures.  Since we have distributed Kerberos on
		AIX before, we need it there.  If newer Unix systems
		lack the #define, so be it... it doesn't matter.

Sat Feb 22 02:18:47 1997  Sam Hartman  <hartmans@tertius.mit.edu>

	* et_h.awk (char_shift): Avoid #ifdef unix
	* error_message.c: Remove #ifdef unix
	* com_err.c: Remove #ifdef unix

Sat Feb 22 00:34:05 1997  Sam Hartman  <hartmans@luminous.MIT.EDU>

	* Makefile.in (LIBMAJOR):  Bump to 3 so that the krb5 lib is preferred to the NetBSD system library.

Fri Feb 14 13:55:45 1997  Richard Basch  <basch@lehman.com>

	* com_err.c com_err.h error_message.c error_table.h et_c.awk et_h.awk:
		Removed experimental V2 API
		Added table register/deregister functions
		Only make the com_err_hook vars/funcs available on Unix
		Only expose _et_list on Unix

Tue Feb 11 13:31:49 1997  Richard Basch  <basch@lehman.com>

	* com_err.c: If the application is a console application, simply
		display the message to stderr. (win32)

Mon Feb 10 21:30:41 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* com_err.c, com_err.h (com_err_va): Fix broken Windows 16
		declaration.  (Should be KRB5_CALLCONV, and using ET_P)

Fri Feb  7 22:10:23 1997  Theodore Y. Ts'o  <tytso@mit.edu>

	* compile_et.c: Change the emitted name of the struct error_table
 		to be et_XXX_error_table, instead of it being a static
 		variable named "et".  (This change has already been made
		in the awk versions of compile_et.)

	* com_err.h, com_err.c: Remove the void *priv argument from
 		com_err_va() and et_com_err() experimental API's.  (That
 		was a braino; the private data pointer should come from
 		the hook_func_data field.)

Fri Feb  7 19:03:07 1997  Richard Basch  <basch@lehman.com>

	* com_err.c com_err.h: Added old interface function com_err_va

Tue Feb  4 15:59:01 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in com_err.h error_table.h et_c.awk error_message.c
		Corrected various declarations for Windows build

Wed Jan 29 17:32:23 1997  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Add rules to build test_et (for testing!)

	* com_err.h, error_table.h: Fixed up varargs/stdargs declarations
		Move definition of struct error_table into com_err.h, and 
		define first draft of the V2 API.  Removed the Windows
		specific declarations from error_table.h, since it's now
		safe to 

	* com_err.c, error_message.c, init_et.c, et_name.c: Added new
		V2 API's.  Cleaned up C code.  

	* test_et.c: Added new test case for error code 0

	* et_c.awk: Added __far for Windows 16 pointer.

	* internal.h: File removed, no longer used.

	* error_table.y: Add #include the header file "com_err.h"

Thu Nov 21 11:55:16 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in: win32 build
	* com_err.h error_table.h init_et.c internal.h
		Win32 support

Tue Dec 31 12:54:54 1996  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (RELDIR): Add for new procedure.

Mon Dec 30 17:30:43 1996  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to use new library build procedure.

Mon Nov 18 20:37:19 1996  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Set shared library version to 1.0. [krb5-libs/201]

Wed Nov 13 19:19:08 1996  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (clean-unix): Remove shared/*.

Thu Oct 17 18:24:50 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* error_message.c (error_message): Work around a compiler bug on
		the Alpha.

Thu Sep  5 21:31:07 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* et_c.awk: Change continuation processing so that it doesn't
 		depend on ANSI C string concatenation.  (No need for it,
 		since the .c file isn't designed for human consumption
 		anyway.)

Fri Aug 30 22:55:14 1996  Tom Yu  <tlyu@mit.edu>

	* internal.h: #ifdef NEED_SYS_ERRLIST -> #ifdef
		SYS_ERRLIST_DECLARED for sanity's sake.

	* error_message.c: cpp symbol police: HAS_FOO -> HAVE_FOO

	* configure.in: Fix up check for strerror; use autoconf
		conventions

Wed Jun 12 12:10:59 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* error_table.h: For Win32, define away FAR and NEAR.

Mon Jun 10 21:54:09 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* com_err.h:
	* error_table.h: Add Windows-32 ifdefs.  Change use of
		INTERFACE to KRB5_CALLCONV and KRB5_DLLIMP.  See
		ChangeLog entries for src/include/krb5.hin for more
		information.


	* vfprintf.c, internal.h, compile_et.c, et_c.awk, com_err.c:
	 	Change _WINDOWS to _MSDOS, and add check for _WIN32.

Sun May 12 01:13:02 1996  Marc Horowitz  <marc@mit.edu>

	* et_c.awk: deal with continuations in the input .et file.

Wed Mar 20 00:19:08 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (SRCS): Fix SRCS definition so that it doesn't fool
		the Macintosh macfiles.sh Makefile generation script.

Tue Mar 12 22:34:10 1996  Ken Raeburn  <raeburn@cygnus.com>

	* configure.in: Use AC_HEADER_STDARG.

Sat Feb 24 18:50:03 1996  Theodore Y. Ts'o  <tytso@dcl>

	* error_message.c (HAS_STRERROR): Windows has strerror()

Wed Feb  7 00:19:17 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (CCFILES): Checked in danw's changes to support
		building Makefiles for the Macintosh; use standard SRCS
		macro for the source files.

Fri Oct  6 22:06:48 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Mon Oct  2 15:22:01 1995  Theodore Y. Ts'o  <tytso@dcl>

	* error_message.c (error_message): Fix logic if #ifdefs for
		HAVE_STRERROR and HAVE_SYS_ERRLIST.  strerror() is used in
		preference to sys_errlist().

Mon Oct  2 11:16:32 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in (V5_MAKE_SHARED_LIB): Add version number 0.1 for
		library creation. 

	* Makefile.in (clean-unix): Remove DONE

Mon Sep 25 16:41:50 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Wed Sep 20 12:00:00 1995	James Mattly <mattly@fusion.com>

	* com_err.c:  Mac UI improvements, added a hilite arround the default button,
		also made the window respond to enter, return, and escape keys.

Fri Sep 22 19:58:22 1995  Theodore Y. Ts'o  <tytso@dcl>

	* error_message.c (sys_nerr): Only define sys_nerr if we're on a
		Macintosh.  On those systems which use sys_nerr, it's an
		external variable, defined by libc.  Under Windows, it's
		apparently an cpp macro.

Mon Aug  7 19:22:52 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (compile_et): Add $(SHELL) to invocation of
		config_script, so that the tree can build even after
		checked into a broken SCCS system.

Thu Jul 13 15:40:56 1995  Sam Hartman  <hartmans@tertius.mit.edu>

	* com_err.h: error_message should be const char * (as it is in
        error_message.c), not char const * (as currently presented).

Alspo, since error_message
ets declared const even on non-ansi compilers, set the return type that way so AIX cc doesn't barf.	

Wed Jul 12 12:37:24 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* error_message.c: Do not include stdlib.h unless it exists

Fri Jul 7 16:42:20 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Add DEPLIBS, needed by shared library rule.

Wed July  5 15:52:31 1995  James Mattly  <mattly@fusion.com>
	* com_err.[ch] added _MACINTOSH conditional
	* vsprintf.h added inclusion of stdarg.h for _MACINTSOH

Fri Jun 23 20:08:16 1995  Tom Yu  (tlyu@dragons-lair)

	* configure.in: fix typo; appended "all" rule needs two colons to
		keep gmake from breaking.

Thu Jun 22 16:14:25 1995  Tom Yu  (tlyu@dragons-lair)

	* error_table.h: reverse sense of KRB5_PROVIDE_PROTOTYPES

Fri Jun 23 10:50:14 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Change "./done" and "done" to DONE.  Shared library
		script requires "DONE".

Thu Jun 22 13:06:47 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* Makefile.in Changed libcom_err.a to libcom_err.$(STEXT), removed rule to clean it up on Unix as aclocal.m4 already inserts the rule.  If this breaks on Macs, please let me know how I should do this in the future.

	* configure.in: Changed to make libcom_err as a shared library.

Fri Jun  9 19:00:05 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Thu Jun  8 11:26:09 1995  Theodore Y. Ts'o  <tytso@lurch.mit.edu>

	* Makefile.in (install): Don't install compile_et.1; we're not
		installing the program, anyway.

Tue Jun  6 19:45:34 1995  Tom Yu  (tlyu@dragons-lair)

	* configure.in:
	* Makefile.in: fix make install

Fri Jun 2 18:05:16 1995 Keith Vetter (keithv@fusion.com)

	* error_message.c: better handling of Winsock errors.

Tue May  2 21:35:09 1995  Tom Yu  (tlyu@dragons-lair)

	* Makefile.in: remove spurious whitespace from blank line

Fri Apr 14 08:48:00 1995  Theodore Y. Ts'o  (tytso@dcl)

	* com_err.h: If FAR is not defined, define it away.

Thu Apr 13 16:02:24 1995 Keith Vetter (keithv@fusion.com)

        * com_err.c, compile_et.c, error_ta.h, et_c.awk, internal.h:
           __STDC__ conditionals also checks for the _WINDOWS define.

Wed Apr 5 16:25:35 1995 Keith Vetter (keithv@fusion.com)

	* com_err.h: added FAR to pointers in prototypes.

Wed Mar 29 08:56:47 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in:  Fix up Mac makefile.
	* error_message.c:  For errno, use strerror if HAS_STRERROR.
	* configure.in:  Define HAS_STRERROR.

Thu Mar 23 19:00:03 1995  Theodore Y. Ts'o  <tytso@dcl>

	* com_err.c (default_com_err_proc): Fixed breakage introduced by
		windows port.  com_err() is supposed to print a newline at
		after printing the error message!

Wed Mar 22 11:34:09 1995 Keith Vetter (keithv@fusion.com)

	* com_err.c: added _WINDOWS equivalent condition to HAVE_STDARG_H
 	   since windows fakes autoconf by defining such constants in
	   k5-config.h which isn't included for this file.

Thu Mar 16 19:57:20 1995 Keith Vetter (keithv@fusion.com)

	* com_err.c: added missing INTERFACE on a prototype.
        * com_err.h: added _WINDOWS as an equivalent to __STDC__ since this
           file gets included by windows programs in which __STDC__ isn't defined.
        * makefile.in: added xxx-mac targets to mimic xxx-unix, and added
            copying com_err.h to src\include for the PC.

Wed Mar 16 17:30:00 1995 Keith Vetter (keithv@fusion.com)

	* com_err.h: problem with this file needing k5-config for windows
	   stuff but many application programs don't include it. So for
	   now I've put the windows stuff that is needed directly into it.

Wed Mar 15 23:02:14 1995 Keith Vetter (keithv@fusion.com)

	* com_err.c: made to work on the PC. Biggest changes was that
           the error message now gets built in a buffer and either gets
           printed to stderr or for Windows gets displays in a message box.
        * err_message.c: fixed up includes and some 32/16 bit ints.
        * et_name.c: changed two ints into longs.
        * com_err.h: added windows keyword INTERFACE to prototypes.
        * error_table.h: Added some windows specific defines since this
           source doesn't really know about k5-config.h. Also, added 
           prototype for error_table_name().
	* Makefile.in: PC rules to make com_err, err_message and et_name.

Tue Feb 28 13:23:58 1995  Theodore Y. Ts'o  <tytso@dcl>

	* error_table.h: Remove #ifdef STDC check to see if we should use
		const --- configure takes care of this.

Tue Feb 28 01:35:14 1995  John Gilmore  (gnu at toad.com)

	* com_err.3:  Document "com_err.h" rather than <com_err.h>.

Fri Feb  3 08:11:26 1995  Theodore Y. Ts'o  (tytso@dcl)

	* com_err.h: All routines defined in the com_err library should
		have extern before the prototypes.   (Required for SGI
		platform).

Wed Jan 25 20:48:50 1995  Mark Eichin  (eichin@tweedledumber.cygnus.com)

	* Makefile.in (SRCS): add com_err.c explicit dependency to work
	around VPATH bug in Solaris make. Also fix typo in comment.

Fri Nov 18 00:34:29 1994  Mark Eichin  <eichin@cygnus.com>

	* configure.in: add caching to perror check (from epeisach).

Fri Oct 21 21:06:48 1994    (tytso@rsx-11)

	* Makefile.in (SED): Don't specify an explicit pathname for sed.

Tue Oct 11 12:43:00 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Don't rm the awk and sed scripts during a make clean!

Thu Oct  6 19:39:11 1994  Theodore Y. Ts'o  (tytso@dcl)

	* compile_et.sh: Replace basename with sed -- more portable.

Mon Oct  3 17:27:28 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in:
	  configure.in: Don't try to compile compile_et.  Use awk/sed
	  	  version instead.  It's more apt to be portable, since it
		  doesn't use awk or sed.  :-(
	

Fri Sep 30 17:12:15 1994  Theodore Y. Ts'o  (tytso@dcl)

	* compile_et.c: Add declaration of error_message() manually.

	* internal.h: Use autoconf to determine whether or not to declare
		perror().

	* configure.in:
	  compiler.h:
	  internal.h:
	  compilet_et.c:
	  init_et.c: Let configure take care of removing const with AC_CONST.

Thu Sep  8 22:33:07 1994  Theodore Y. Ts'o  (tytso@pinata)

	* com_err.c (default_com_err_proc): Reversed order of \n\r to make
		jik happy.

Wed Jul 13 23:19:34 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in: nuke the libcom_err.a.bak stuff

Sun Jul  3 07:48:04 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in: cleaning up to not spew ignored errors

Wed Jun 22 18:47:36 1994  Mark Eichin  (eichin@tweedledumber.cygnus.com)

	* com_err.h: Only set STDARG_PROTOTYPES based on STDC if it isn't
	set already (clean up warnings.)

Wed Jun 22 17:55:48 1994  Mark Eichin  (eichin@cygnus.com)

	* Makefile.in (CP): set CP so CopySrcHeader actually works.

Tue Jun 21 00:20:44 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in: add "includes" to "all" dependencies

	* configure.in: should be CopySrcHeader

Mon Jun 20 21:59:37 1994  Tom Yu  (tlyu at dragons-lair)

	* configure.in: install com_err.h during build

